// Might wanna move stuff form `void_poem.rs` into here...
use crate::utils::prop_structs::{ContentProps};
use dioxus::prelude::*;

pub fn RenderContent(cx: Scope<ContentProps>) -> Element {
    let content = &cx.props.content;
    #[cfg(any(target_family = "windows", target_family = "unix"))]
    return cx.render(rsx!{
        div { class: "flex p-4 ml-2 mr-2 ring-4",
            "{content}",
        }
    });
    #[cfg(target_family = "wasm")]
    return cx.render(rsx!{
        div { class: "flex p-4 ml-2 mr-2 ring-4",
            dangerous_inner_html: "{content}",
        }
    });
}
