use dioxus::prelude::*;
use crate::components::void_buttons::NavigationButton;

pub fn Footer(cx: Scope) -> Element {
    cx.render(rsx! {
        MutantStandardFooter {}
    })
}

fn MutantStandardFooter(cx: Scope) -> Element {
    cx.render(rsx!{
        div {
            NavigationButton { title: "⚙️".to_string(), slug: "/settings".to_string() }
            div {
                "This site uses Mutant Standard emoji, which are licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License"
            }
        }
    })
}
